function  [ric,lric]= ricshift(Rici,lric,nychn,nPsi,npsi)	
% working arrays ric and lric are filled with Riccati matrix shifted to the next
% time instant
%     ric   : quadratic part of Riccati matrix
%     lric  : linear part of Riccati matrix
%     Rici  : quadratic part of Riccati matrix
%     nychn : number of predicted channels
%     nPsi  : dimension of Riccati matrix
%     nPsi  : dimension of regressor

           ric = [Rici(nychn+1:nPsi-1,nychn+1:nPsi-1) zeros(npsi-1,nychn)...
	       Rici(nychn+1:nPsi-1,nPsi); zeros(nychn,nPsi)];% 
 
           lric=[lric( nychn+1:nPsi-1)  zeros(1,nychn)];   
              
 